declare const _default: {
    global: {
        fieldset: string;
        help: string;
        inner: string;
        input: string;
        label: string;
        legend: string;
        loaderIcon: string;
        message: string;
        messages: string;
        outer: string;
        prefixIcon: string;
        suffixIcon: string;
    };
    'family:box': {
        decorator: string;
        decoratorIcon: string;
        help: string;
        input: string;
        inner: string;
        label: string;
        wrapper: string;
    };
    'family:button': {
        input: string;
        wrapper: string;
        prefixIcon: string;
        suffixIcon: string;
    };
    'family:dropdown': {
        dropdownWrapper: string;
        emptyMessageInner: string;
        inner: string;
        input: string;
        listbox: string;
        listboxButton: string;
        listitem: string;
        loaderIcon: string;
        loadMoreInner: string;
        option: string;
        optionLoading: string;
        placeholder: string;
        selector: string;
        selection: string;
        selectedIcon: string;
        selectIcon: string;
    };
    'family:text': {
        inner: string;
        input: string;
    };
    'family:date': {
        inner: string;
        input: string;
    };
    color: {
        inner: string;
        input: string;
        suffixIcon: string;
    };
    file: {
        fileItem: string;
        fileItemIcon: string;
        fileList: string;
        fileName: string;
        fileRemove: string;
        fileRemoveIcon: string;
        inner: string;
        input: string;
        noFiles: string;
        noFilesIcon: string;
    };
    radio: {
        decorator: string;
        decoratorIcon: string;
    };
    range: {
        inner: string;
        input: string;
        prefixIcon: string;
        suffixIcon: string;
    };
    select: {
        inner: string;
        input: string;
        selectIcon: string;
        option: string;
    };
    textarea: {
        inner: string;
        input: string;
    };
    autocomplete: {
        closeIcon: string;
        inner: string;
        option: string;
        selectionWrapper: string;
    };
    colorpicker: {
        outer: string;
        help: string;
        inner: string;
        swatchPreview: string;
        canvasSwatchPreviewWrapper: string;
        canvasSwatchPreview: string;
        valueString: string;
        panel: string;
        panelClose: string;
        closeIcon: string;
        controlGroup: string;
        canvas: string;
        canvasLS: string;
        LS: string;
        preview: string;
        hue: string;
        alpha: string;
        eyeDropper: string;
        eyeDropperIcon: string;
        control: string;
        controlLS: string;
        controlHue: string;
        controlAlpha: string;
        formatField: string;
        colorInputGroup: string;
        fieldGroup: string;
        fieldLabel: string;
        formatSwitcher: string;
        switchIcon: string;
        swatches: string;
        swatchGroup: string;
        swatchGroupLabel: string;
        swatch: string;
    };
    datepicker: {
        inner: string;
        panelWrapper: string;
        panelHeader: string;
        input: string;
        monthsHeader: string;
        timeHeader: string;
        overlayPlaceholder: string;
        months: string;
        month: string;
        yearsHeader: string;
        years: string;
        year: string;
        weekDays: string;
        weekDay: string;
        week: string;
        dayCell: string;
        timeInput: string;
        daysHeader: string;
        prev: string;
        prevLabel: string;
        prevIcon: string;
        dayButton: string;
        monthButton: string;
        yearButton: string;
        next: string;
        nextLabel: string;
        nextIcon: string;
        openButton: string;
        calendarIcon: string;
    };
    dropdown: {
        tagsWrapper: string;
        tags: string;
        tag: string;
        tagLabel: string;
        selectionsWrapper: string;
        selections: string;
        selectionsItem: string;
        truncationCount: string;
        removeSelection: string;
    };
    rating: {
        inner: string;
        itemsWrapper: string;
        onItems: string;
        onItemWrapper: string;
        offItems: string;
        offItemWrapper: string;
    };
    repeater: {
        content: string;
        controlLabel: string;
        controls: string;
        downControl: string;
        fieldset: string;
        help: string;
        item: string;
        moveDownIcon: string;
        moveUpIcon: string;
        removeControl: string;
        removeIcon: string;
        upControl: string;
    };
    slider: {
        outer: string;
        help: string;
        sliderInner: string;
        track: string;
        trackWrapper: string;
        trackInner: string;
        fill: string;
        marks: string;
        mark: string;
        markLabel: string;
        handles: string;
        handle: string;
        tooltip: string;
        linkedValues: string;
        minValue: string;
        maxValue: string;
        chart: string;
        chartBar: string;
    };
    taglist: {
        input: string;
        removeSelection: string;
        tag: string;
        tagWrapper: string;
        tagLabel: string;
        tags: string;
    };
    toggle: {
        altLabel: string;
        inner: string;
        input: string;
        innerLabel: string;
        thumb: string;
        track: string;
        valueLabel: string;
        wrapper: string;
    };
    togglebuttons: {
        input: string;
        options: string;
        option: string;
    };
    transferlist: {
        outer: string;
        fieldset: string;
        wrapper: string;
        help: string;
        transferlist: string;
        transferlistHeader: string;
        transferlistHeaderItemCount: string;
        transferlistListItems: string;
        transferlistListItem: string;
        transferlistOption: string;
        transferControls: string;
        transferlistButton: string;
        sourceEmptyMessage: string;
        sourceListItems: string;
        targetEmptyMessage: string;
        emptyMessageInner: string;
        transferlistControls: string;
        transferlistSearch: string;
        transferlistSearchInput: string;
        controlLabel: string;
        selectedIcon: string;
        fastForwardIcon: string;
        moveRightIcon: string;
        moveLeftIcon: string;
        rewindIcon: string;
    };
};

export { _default as default };
